import { mixinRobotoFont } from '@genesislcap/foundation-zero';
import { themeTokenMapCSS } from '@genesislcap/grid-tabulator';
import { css } from '@microsoft/fast-element';
// import { gridThemeGenesisRapidTokens } from '../../style/tokens';
import { themeGenesisRapidCSS } from './theme-genesis-rapid-css';
export const themeGenesisRapidTokenMap = {
// [GridCSSVars.backgroundColor]: gridThemeGenesisRapidTokens.backgroundColor,
// [GridCSSVars.foregroundColor]: gridThemeGenesisRapidTokens.foregroundColor,
// [GridCSSVars.oddRowBackgroundColor]: gridThemeGenesisRapidTokens.backgroundColor,
// [GridCSSVars.headerBackgroundColor]: gridThemeGenesisRapidTokens.backgroundColor,
// [GridCSSVars.headerForegroundColor]: gridThemeGenesisRapidTokens.headerForegroundColor,
// [GridCSSVars.selectedRowBackgroundColor]: gridThemeGenesisRapidTokens.rowHoverColor,
// [GridCSSVars.rowHoverColor]: gridThemeGenesisRapidTokens.rowHoverColor,
// [GridCSSVars.borderColor]: gridThemeGenesisRapidTokens.borderColor,
// [GridCSSVars.rowBorderColor]: gridThemeGenesisRapidTokens.rowHoverColor,
// [GridCSSVars.modalOverlayBackgroundColor]: gridThemeGenesisRapidTokens.backgroundColor,
// [GridCSSVars.inputFocusBoxShadow]: gridThemeGenesisRapidTokens.headerForegroundColor,
// [GridCSSVars.inputFocusBorderColor]: gridThemeGenesisRapidTokens.headerForegroundColor,
// [GridCSSVars.headerColumnResizeHandleColor]: gridThemeGenesisRapidTokens.headerForegroundColor,
};
export const themeGenesisRapidName = 'tabulator-theme-genesis-rapid';
export const themeGenesisRapid = css `
  ${themeGenesisRapidCSS}
  ${themeTokenMapCSS(themeGenesisRapidName, themeGenesisRapidTokenMap)}

  .${themeGenesisRapidName} {
    ${mixinRobotoFont()}
  }
`;
export const themeGenesisRapidDarkName = 'tabulator-theme-genesis-rapid-dark';
export const themeGenesisRapidDark = css `
  ${themeGenesisRapidCSS}
  ${themeTokenMapCSS(themeGenesisRapidDarkName, themeGenesisRapidTokenMap)}

  .${themeGenesisRapidDarkName} {
    ${mixinRobotoFont()}
  }
`;
